Bug 1988478 - Driver Toolkit ART / OSBS builds are failing because of extract-vmlinux
Summary: Driver Toolkit ART / OSBS builds are failing because of extract-vmlinux
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Driver Toolkit
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.8.z
Assignee: dagray
QA Contact: Walid A.
URL:
Whiteboard:
Depends On: 1988123
Blocks: 1985545 1990147
TreeView+ depends on / blocked
 
Reported: 2021-07-30 15:52 UTC by OpenShift BugZilla Robot
Modified: 2021-08-16 18:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-16 18:32:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift driver-toolkit pull 55 0 None None None 2021-08-02 15:10:54 UTC
Red Hat Product Errata RHBA-2021:3121 0 None None None 2021-08-16 18:32:22 UTC

Comment 2 Walid A. 2021-08-05 04:28:54 UTC
After pulling image from latest 4.7 nightly https://openshift-release-artifacts.apps.ci.l2s4.p1.openshiftapps.com/4.7.0-0.nightly-2021-08-04-165612/release.txt : 
quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c7ac0fe8c125d9b52bb58f2026c9117b20e8bf2a440b70a4ec4c3db7bb25e8d8  

we still have a mismatch in gcc versions:

# podman run -it 3cdde87861b2 /bin/bash

[root@d47f23757e40 kmods-via-containers]# cat /etc/driver-toolkit-release.json
{ "KERNEL_VERSION": "4.18.0-240.23.2.el8_3.x86_64", "RT_KERNEL_VERSION": "4.18.0-240.23.2.rt7.79.el8_3.x86_64", "RHEL_VERSION": "8.3" }

[root@d47f23757e40 kmods-via-containers]# export INSTALLED_KERNEL=$(rpm -q --qf "%{VERSION}-%{RELEASE}.%{ARCH}"  kernel-core) && GCC_VERSION=$(cat /lib/modules/${INSTALLED_KERNEL}/config | grep -Eo "Compiler: gcc \(GCC\) ([0-9\.]+)" | grep -Eo "([0-9\.]+)")

[root@d47f23757e40 kmods-via-containers]# dnf list installed | grep gcc
gcc.x86_64                                    8.4.1-1.el8                          @rhel-8-appstream-rpms-x86_64           
libgcc.x86_64                                 8.4.1-1.el8                          @System                                 

[root@d47f23757e40 kmods-via-containers]# echo $GCC_VERSION
8.3.1

[root@6260fed49b4b kmods-via-containers]# echo $INSTALLED_KERNEL
4.18.0-240.23.2.el8_3.x86_64

Comment 3 Walid A. 2021-08-05 14:55:50 UTC
Verified on the latest 4.8 nightly driver-toolkit image from https://openshift-release-artifacts.apps.ci.l2s4.p1.openshiftapps.com/4.8.0-0.nightly-2021-08-05-031749/release.txt

gcc version matches

# podman pull --authfile pull-secret.json quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a6aef8163dfaa738afbc0c1c585eb1c897b6488d1967081424f41c366b04154c
Trying to pull quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a6aef8163dfaa738afbc0c1c585eb1c897b6488d1967081424f41c366b04154c...
Getting image source signatures
Copying blob 1cadda38f72d skipped: already exists  
Copying blob a50df8fd88fe skipped: already exists  
Copying blob dc49873df942 done  
Copying blob 9ae8e62eba92 done  
Copying blob 3e8d9fb4b187 done  
Copying config e74aa00154 done  
Writing manifest to image destination
Storing signatures
e74aa0015416db259ea337cd6a8eb02cfd7850620b4217e12abbb47a420fcabf

# podman images | grep e74aa0015416
quay.io/openshift-release-dev/ocp-v4.0-art-dev        <none>                            e74aa0015416  16 hours ago   1.32 GB

# podman run -it e74aa0015416 /bin/bash
[root@38cbe3caec1b kmods-via-containers]# export INSTALLED_KERNEL=$(rpm -q --qf "%{VERSION}-%{RELEASE}.%{ARCH}"  kernel-core) && GCC_VERSION=$(cat /lib/modules/${INSTALLED_KERNEL}/config | grep -Eo "Compiler: gcc \(GCC\) ([0-9\.]+)" | grep -Eo "([0-9\.]+)")
[root@38cbe3caec1b kmods-via-containers]# 
[root@38cbe3caec1b kmods-via-containers]# echo $INSTALLED_KERNEL
4.18.0-305.10.2.el8_4.x86_64
[root@38cbe3caec1b kmods-via-containers]# 
[root@38cbe3caec1b kmods-via-containers]# echo $GCC_VERSION
8.4.1
[root@38cbe3caec1b kmods-via-containers]# 
[root@38cbe3caec1b kmods-via-containers]# dnf list installed | grep gcc
gcc.x86_64                                    8.4.1-1.el8                          @rhel-8-appstream-rpms-x86_64
libgcc.x86_64                                 8.4.1-1.el8                          @System                      
[root@38cbe3caec1b kmods-via-containers]#

Comment 6 errata-xmlrpc 2021-08-16 18:32:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.5 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3121


Note You need to log in before you can comment on or make changes to this bug.